%define url_ver %(echo %{version} | cut -d. -f1,2)

%define oname 	xfce4

%define major		0

%define api		1
%define apikbd		2
%define libname         %mklibname %{oname}ui %{api} %{major}
%define libnamekbd	%mklibname %{oname}kbd-private %{apikbd} %{major}
%define develname	%mklibname %{oname}ui %{api} -d

%define api3		2
%define apikbd3		3
%define libname3	%mklibname %{oname}ui %{api3} %{major}
%define libnamekbd3	%mklibname %{oname}kbd-private %{apikbd3} %{major}
%define develname3	%mklibname %{oname}ui %{api3} -d

Summary:	Various Xfce widgets for Xfce desktop environment
Name:		libxfce4ui
Version: 	4.11.0
Release: 	%mkrel 5
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0:	http://archive.xfce.org/src/xfce/libxfce4ui/%{url_ver}/%{name}-%{version}.tar.bz2
Patch0:	libxfce4ui-4.11.0-avoid-double-fork.patch
BuildRequires:	pkgconfig(gladeui-1.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libstartup-notification-1.0)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfconf-0)
BuildRequires:	intltool
BuildRequires:	libsm-devel
Conflicts:      %{_lib}xfce4ui1_0 < 4.8.1-3
Conflicts:	xfce-utils < 4.8.3-3
Obsoletes:	%{name}-i18n < 4.9.0
Requires:	%{_real_vendor}-release-common

%description
Various Xfce widgets for Xfce desktop environment.

%package -n %{libname}
Summary:	GTK2 GUI libraries for Xfce
Group:		Graphical desktop/Xfce
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
GTK2 GUI libraries for Xfce desktop environment.

%package -n %{libnamekbd}
Summary:	GTK2 GUI libraries for Xfce
Group:		Graphical desktop/Xfce
Conflicts:	%{_lib}xfce4ui1_0 < 4.8.1-2

%description -n %{libnamekbd}
GTK2 GUI libraries for Xfce desktop environment.

%package -n %{libname3}
Summary:	GTK3 GUI libraries for Xfce
Group:		Graphical desktop/Xfce
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname3}
GTK3 GUI libraries for Xfce desktop environment.

%package -n %{libnamekbd3}
Summary:	GTK3 GUI libraries for Xfce
Group:		Graphical desktop/Xfce

%description -n %{libnamekbd3}
GTK3 GUI libraries for Xfce desktop environment.

%package -n %{name}-glade
Summary:	Glade modules for %{name}
Group:		Graphical desktop/Xfce
Requires:	glade3
Conflicts:	%{_lib}xfce4ui1_0 < 4.8.1-2

%description -n %{name}-glade
This package provides a catalog for Glade which allows the use of the
provided Xfce widgets in Glade.

%package -n %{develname}
Summary:	Development files and headers for the %{name} library using GTK2
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libnamekbd} = %{version}-%{release}
Provides:	%{oname}ui-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}xfce4ui-devel < 4.11.0-2

%description -n %{develname}
Development files and headers for the %{name} library using GTK2.

%package -n %{develname3}
Summary:        Development files and headers for the %{name} library using GTK3
Group:          Development/Other
Requires:	%{libname3} = %{version}-%{release}
Requires:	%{libnamekbd3} = %{version}-%{release}
Conflicts:	%{_lib}xfce4ui-devel < 4.11.0-2

%description -n %{develname3}
Development files and headers for the %{name} library using GTK3.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--with-vendor-info=%{_vendor} \
	--disable-static \
	--enable-startup-notification
%make

%install
%makeinstall_std

#add vendor info
mkdir -p %{buildroot}%{_datadir}/xfce4/
ln -s %{_sysconfdir}/%{_real_vendor}-release %{buildroot}%{_datadir}/xfce4/vendorinfo

#we don't want these
find %{buildroot} -name "*.la" -delete

# (tpg) this file is in mandriva-xfce-config package
rm -rf %{buildroot}%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/xfce4-about
%dir %{_datadir}/xfce4/
%{_datadir}/xfce4/vendorinfo
%{_datadir}/applications/xfce4-about.desktop
%{_iconsdir}/hicolor/*/apps/xfce4-logo.png

%files -n %{libname}
%{_libdir}/libxfce4ui-%{api}.so.%{major}*

%files -n %{libnamekbd}
%{_libdir}/libxfce4kbd-private-%{apikbd}.so.%{major}*

%files -n %{libname3}
%{_libdir}/libxfce4ui-%{api3}.so.%{major}*

%files -n %{libnamekbd3}
%{_libdir}/libxfce4kbd-private-%{apikbd3}.so.%{major}*

%files -n %{name}-glade
%{_libdir}/glade3/modules/%{name}*
%{_datadir}/glade3/catalogs/%{name}.*
%{_datadir}/glade3/pixmaps/hicolor/*/*/*%{name}*.png

%files -n %{develname}
%doc AUTHORS ChangeLog README NEWS
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_libdir}/%{name}-%{api}.so
%{_libdir}/libxfce4kbd-private-%{apikbd}.so
%{_libdir}/pkgconfig/libxfce4kbd-private-%{apikbd}.pc
%{_libdir}/pkgconfig/libxfce4ui-%{api}.pc
%{_includedir}/xfce4/%{name}-%{api}/
%{_includedir}/xfce4/libxfce4kbd-private-%{apikbd}/

%files -n %{develname3}
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_libdir}/pkgconfig/libxfce4kbd-private-%{apikbd3}.pc
%{_libdir}/pkgconfig/libxfce4ui-%{api3}.pc
%{_libdir}/%{name}-%{api3}.so
%{_libdir}/libxfce4kbd-private-%{apikbd3}.so
%{_includedir}/xfce4/%{name}-%{api3}/
%{_includedir}/xfce4/libxfce4kbd-private-%{apikbd3}/


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 4.11.0-5.mga4
+ Revision: 542318
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 colin <colin> 4.11.0-4.mga4
+ Revision: 497385
- Fix avoid double forking patch (mga#11184)

* Mon Oct 14 2013 colin <colin> 4.11.0-3.mga4
+ Revision: 496876
- Do not double-fork when launching (mga#11184)

* Tue Sep 24 2013 wally <wally> 4.11.0-2.mga4
+ Revision: 485366
- split out devel pkg for gtk3 libs

* Tue Sep 24 2013 wally <wally> 4.11.0-1.mga4
+ Revision: 485322
- new version 4.11.0
- drop unneeded patches
- build GTK3 libs

* Mon Sep 16 2013 wally <wally> 4.10.0-4.mga4
+ Revision: 480380
- add vendor info

* Sat Jan 12 2013 umeabot <umeabot> 4.10.0-3.mga3
+ Revision: 358566
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu May 31 2012 wally <wally> 4.10.0-2.mga3
+ Revision: 252502
- prefer exo-open for opening the manual pages (patch from upstream git)
- rediff linking patch

* Mon May 28 2012 wally <wally> 4.10.0-1.mga3
+ Revision: 248427
- new version 4.10.0

* Wed May 02 2012 wally <wally> 4.9.0-3.mga2
+ Revision: 234532
- conflict with old xfce-utils (mga#5721)
- loose versioned requires

* Sun Jan 29 2012 fwang <fwang> 4.9.0-2.mga2
+ Revision: 203007
- i18n package has been merged with main package

* Sun Jan 29 2012 wally <wally> 4.9.0-1.mga2
+ Revision: 202989
- new version 4.9.0
- drop i18n pkg and move files to main pkg

* Sat Dec 24 2011 wally <wally> 4.8.1-3.mga2
+ Revision: 187303
- split i18n files from lib pkg
- add more generic provide to devel pkg

* Sat Dec 24 2011 wally <wally> 4.8.1-2.mga2
+ Revision: 187278
- split out glade modules from lib pkg
- split out xfce4kbd-private from lib pkg

* Sat Dec 24 2011 wally <wally> 4.8.1-1.mga2
+ Revision: 187153
- new version 4.8.1

* Wed Dec 07 2011 fwang <fwang> 4.8.0-4.mga2
+ Revision: 178024
- fix linkage
- br xfconf
- convert to pkgconfig style

  + wally <wally>
    - drop all .la files
    - tag more files as docs

* Thu Jan 27 2011 ahmad <ahmad> 4.8.0-2.mga1
+ Revision: 41602
- drop old/unneeded scriptles
- imported package libxfce4ui


* Thu Jan 20 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 4.8.0-1mdv2011.0
+ Revision: 631890
- update to new version 4.8.0

* Thu Jan 06 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.6-1mdv2011.0
+ Revision: 629093
- update to new version 4.7.6

* Fri Dec 17 2010 Götz Waschk <waschk@mandriva.org> 4.7.5-2mdv2011.0
+ Revision: 622587
- rebuild for new libgladeui

* Thu Dec 02 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.5-1mdv2011.0
+ Revision: 605586
- update to new version 4.7.5

* Sat Nov 06 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.4-1mdv2011.0
+ Revision: 593800
- update to new version 4.7.4
- use rm instead of %%exclude macro

* Fri Sep 17 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.3-2mdv2011.0
+ Revision: 579286
- rebuild

* Thu Sep 16 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.3-1mdv2011.0
+ Revision: 579050
- update to new version 4.7.3

* Sat Aug 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.2-1mdv2011.0
+ Revision: 567410
- update to new version 4.7.2

* Fri Aug 06 2010 Götz Waschk <waschk@mandriva.org> 4.7.1-2mdv2011.0
+ Revision: 566636
- rebuild for new glade3

* Thu Feb 25 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.1-1mdv2010.1
+ Revision: 511200
- update to new version 4.7.1
- import libxfce4ui


